Skip to main content
POST
Broadcast Transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

TON network:

  • `mainnet` — production network.
  • `testnet` — testnet.
Available options:
mainnet,
testnet

Body

application/json
unsignedTransaction
string
required

Signed transaction in the hexadecimal format which needs to be broadcasted to the network.

Example:

"te6ccgEBAQEABgAACCiAmCM="

signature
string
required

External message signature which needs to be signed with the private key.

Example:

"te6ccgEBAQEABgAACCiAmCM="

publicKey
string
required

Public key of the nominator for the TON network.

Example:

"7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6"

walletVersion
enum<string>
default:V4

Version of the smart contract used by the wallet in the TON blockchain.

Available options:
V3R1,
V3R2,
V4,
V5R1
Example:

"V4"

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.